# control-panel-tests

This is a set of demo apps that use the AndLabs UI toolkit.
It also uses a wrapper around it that puts all the gtk elements
in a structure so they can all be accessed.

This code should compile and work on Linux, MacOS and Windows.

It is very *alpha*.

# IMPORTANT NOTES

To use the cross platform UI, all GUI interactions must be
done from within the same goroutine for it to work properly
on Windows. This is an annoying limitation of how Windows works
(or so it appears. maybe someone will figure out how to fix that)

This means the Windows version of this GUI will probably always
be sub-par verses the Linux and Macintosh versions

# build

```
go get -v -t -u git.wit.org/jcarr/golang-examples
cd ~/go/src/git.wit.org/jcarr/golang-examples
make build
```

# screenshots
## example-table
![test image](example-table/screenshot.png)
## example-gui
![test image](example-gui/capture.gif)
## example-systray
![test image](example-systray/capture.mp4)
![test image](example-systray/capture.webm)

# License

This is a GPL 3.0 Project.

# Credits

* All the GO developers & Google
* The andlabs people that made the golang cross platform UI
* All the kernel, KVM and QEMU developers
